Package be.e_contract.ejsf.component.viewlogs

# Enum Class ViewLogsComponent.PropertyKeys

java.lang.Object
java.lang.Enum<ViewLogsComponent.PropertyKeys>
be.e_contract.ejsf.component.viewlogs.ViewLogsComponent.PropertyKeys

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewLogsComponent.PropertyKeys>`, `java.lang.constant.Constable`

Enclosing class:
  ViewLogsComponent

public static enum ViewLogsComponent.PropertyKeys extends Enum<ViewLogsComponent.PropertyKeys>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`dateTimePattern`
`excludes`
`includes`
`newTab`
`style`
`styleClass`

## Method Summary

Modifier and Type
Method
Description
`static ViewLogsComponent.PropertyKeys`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ViewLogsComponent.PropertyKeys[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### style

public static final ViewLogsComponent.PropertyKeys style

### styleClass

public static final ViewLogsComponent.PropertyKeys styleClass

### newTab

public static final ViewLogsComponent.PropertyKeys newTab

### includes

public static final ViewLogsComponent.PropertyKeys includes

### excludes

public static final ViewLogsComponent.PropertyKeys excludes

### dateTimePattern

public static final ViewLogsComponent.PropertyKeys dateTimePattern

## Method Details

### values

public static ViewLogsComponent.PropertyKeys[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ViewLogsComponent.PropertyKeys valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null